//
//  LiveRoomJoinChatItemView.swift
//  SodaLive
//
//  Created by klaus on 2023/08/14.
//

import SwiftUI

struct LiveRoomJoinChatItemView: View {
    
    let chatMessage: LiveRoomJoinChat
    
    var body: some View {
        HStack(spacing: 0) {
            Text("'")
                .font(.custom(Font.medium.rawValue, size: 12))
                .foregroundColor(Color(hex: "eeeeee"))
            
            Text(chatMessage.nickname)
                .font(.custom(Font.bold.rawValue, size: 12))
                .foregroundColor(Color(hex: "ffdc00"))
            
            Text("'님이 입장하셨습니다.")
                .font(.custom(Font.medium.rawValue, size: 12))
                .foregroundColor(Color(hex: "eeeeee"))
        }
        .padding(.vertical, 6.7)
        .frame(width: screenSize().width - 86)
        .background(Color(hex: "3d2a6c"))
        .cornerRadius(4.7)
        .padding(.leading, 20)
    }
}
